const formatTime = date => {
  const year = date.getFullYear()
  const month = date.getMonth() + 1
  const day = date.getDate()
  const hour = date.getHours()
  const minute = date.getMinutes()
  const second = date.getSeconds()

  return `${[year, month, day].map(formatNumber).join('/')} ${[hour, minute, second].map(formatNumber).join(':')}`
}
const formatDate = date => {
  const year = date.getFullYear()
  const month = date.getMonth() + 1
  const day = date.getDate()

  return `${[year, month, day].map(formatNumber).join('-')} `
}

const formatNumber = n => {
  n = n.toString()
  return n[1] ? n : `0${n}`
}
const simleInfo = msg => {
  wx.showModal({
    title: '提示',
    content: msg,
    showCancel: false,
    success(res) {
    }
  })
}
const simleInfoWithBack = msg => {
  wx.showModal({
    title: '提示',
    content: msg,
    showCancel: false,
    success(res) {
      wx.navigateBack({})
    }
  })
}
module.exports = {
  simleInfo: simleInfo,
  simleInfoWithBack: simleInfoWithBack,
  formatNumber: formatNumber,
  formatTime: formatTime,
  formatDate: formatDate,
}
